Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.savedsearch.controls
Interface SavedSearchControl

All Superinterfaces
  CM_Control<SavedSearchBean>, ContentControlBase<SavedSearchBean,Folder>, GroupSpaceContentControl<SavedSearchBean>, Serializable

All Known Implementing Classes:
  SavedSearchControlImpl

    public interface SavedSearchControl

extends CM_Control<SavedSearchBean>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`SavedSearchBean` | `create(String title, String description, CommunityContent.Visibility visibility, String serachType, String resourceType, String allWords, String exactPhrase, String anyWords, String noneWords, String[] names, String[] values, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`SavedSearchBean` | `createDefaultSearch(String title, String description, CommunityContent.Visibility visibility, String resourceType, String allWords, String exactPhrase, String anyWords, String noneWords, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`SavedSearchBean` | `createPropertySearch(String title, String description, CommunityContent.Visibility visibility, String resourceType, String[] names, String[] values, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`SortableFilterablePagedResult<SavedSearchBean>` | `findSavedSearch(String[] resourceTypes, CommunityContent.Visibility[] visibilities, SortCriteria[] sortCriteria)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    SavedSearchBean create(String title,
                           String description,
                           CommunityContent.Visibility visibility,
                           String serachType,
                           String resourceType,
                           String allWords,
                           String exactPhrase,
                           String anyWords,
                           String noneWords,
                           String[] names,
                           String[] values,
                           ID parentId,
                           ID[] relatedNodes,
                           Set<CmxControl.PropertyPair> dynamicProps)
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### createDefaultSearch

    SavedSearchBean createDefaultSearch(String title,
                                        String description,
                                        CommunityContent.Visibility visibility,
                                        String resourceType,
                                        String allWords,
                                        String exactPhrase,
                                        String anyWords,
                                        String noneWords,
                                        ID parentId,
                                        ID[] relatedNodes,
                                        Set<CmxControl.PropertyPair> dynamicProps)
                                        throws NoSuchNodeException,
                                               RepositoryException,
                                               AuthorizationException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### createPropertySearch

    SavedSearchBean createPropertySearch(String title,
                                         String description,
                                         CommunityContent.Visibility visibility,
                                         String resourceType,
                                         String[] names,
                                         String[] values,
                                         ID parentId,
                                         ID[] relatedNodes,
                                         Set<CmxControl.PropertyPair> dynamicProps)
                                         throws NoSuchNodeException,
                                                RepositoryException,
                                                AuthorizationException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### findSavedSearch

    SortableFilterablePagedResult<SavedSearchBean> findSavedSearch(String[] resourceTypes,
                                                                   CommunityContent.Visibility[] visibilities,
                                                                   SortCriteria[] sortCriteria)
                                                                   throws AuthorizationException,
                                                                          NoSuchNodeException,
                                                                          RepositoryException

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved